
typedef unsigned char byte;

const byte levels_tile_index[75][9][13] = {
/*
Level: 1
                                       
       #########################       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #    @@          WWW    #       
       #    @@@          WW    #       
       #    @@            W    #       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #                VVV    #       
       #     *          VV     #       
       #                V      #       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #########################       
                                       
                                       
                                       
                                       
*/
   {
      {  0,  0, 10,  6,  6,  6,  6,  6,  6,  6, 11,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0, 41,  0,  0,  0, 31,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  1,  0,  0,  0, 26,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  9,  6,  6,  6,  6,  6,  6,  6,  8,  0,  0, }, 
      {  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, }, 
   },

/*
Level: 2
                                       
    ###############################    
    #                             #    
    #                             #    
    #                             #    
    #                             #    
    #             VVV             #    
    #     *       VV        *    X#    
    #             V               #    
    #                             #    
    #                             #    
    #                             #    
    #                             #    
    ##########                    #    
             #                    #    
             #    W         @@    #    
             #    WW       @@@    #    
             #    WWW       @@    #    
             #                    #    
             #                    #    
             #                    #    
             #                    #    
             ######################    
                                       
                                       
                                       
                                       
*/
   {
      {  0, 10,  6,  6,  6,  6,  6,  6,  6,  6,  6, 11,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0,  1,  0,  0, 26,  0,  0,  1,  0, 35,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  9,  6,  6, 11,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  0,  0,  0,  7,  0, 29,  0,  0, 43,  0,  7,  0, }, 
      {  0,  0,  0,  0,  7,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  0,  0,  0,  9,  6,  6,  6,  6,  6,  6,  8,  0, }, 
      {  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, }, 
   },

/*
Level: 3
                                       
             #############             
             #           #             
             #           #             
             #           #             
             #           #             
             #           #             
    ##########     *     ##########    
    #                             #    
    #                             #    
    #                             #    
    #                             #    
    #    @@       VVV             #    
    #    @@@       VV       *    X#    
    #    @@         V             #    
    #                             #    
    #                             #    
    #                             #    
    #                             #    
    ##########     *     ##########    
             #           #             
             #           #             
             #           #             
             #           #             
             #           #             
             #############             
                                       
*/
   {
      {  0,  0,  0,  0, 10,  6,  6,  6, 11,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  0, }, 
      {  0, 10,  6,  6,  8,  0,  1,  0,  9,  6,  6, 11,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0, 41,  0,  0, 27,  0,  0,  1,  0, 35,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  9,  6,  6, 11,  0,  1,  0, 10,  6,  6,  8,  0, }, 
      {  0,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  9,  6,  6,  6,  8,  0,  0,  0,  0, }, 
   },

/*
Level: 4
                                       
       #########################       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #    WWW         WWW    #       
 #######    WW     *     WW    ####### 
 #          W             W          # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    @@    VVV         V            # 
 #X   @@@    VV    *    VV     *    X# 
 #    @@      V         VVV          # 
 #                                   # 
 #                                   # 
 #                                   # 
 #          W             W          # 
 #######    WW     *     WW    ####### 
       #    WWW         WWW    #       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #########################       
                                       
*/
   {
      {  0,  0, 10,  6,  6,  6,  6,  6,  6,  6, 11,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      { 10,  6,  8,  0, 30,  0,  1,  0, 31,  0,  9,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0, 41,  0, 27,  0,  1,  0, 25,  0,  1,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 11,  0, 29,  0,  1,  0, 28,  0, 10,  6,  8, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  9,  6,  6,  6,  6,  6,  6,  6,  8,  0,  0, }, 
   },

/*
Level: 5
                                       
    #############     #############    
    #           #     #           #    
    #           #     #           #    
    #           #     #           #    
    #           #     #           #    
    #           #     #           #    
    #     *     #######     *     #    
    #                             #    
    #                             #    
    #                             #    
    #                             #    
    #      V       @@      VVV    #    
    #     VV      @@@      VV     #    
    #    VVV       @@      V      #    
    #                             #    
    #                             #    
    #                             #    
    #                             #    
    #     *     #######     *     #    
    #           #     #           #    
    #           #     #           #    
    #           #     #           #    
    #           #     #           #    
    #     X     #     #           #    
    #############     #############    
                                       
*/
   {
      {  0, 10,  6,  6,  6, 11,  0, 10,  6,  6,  6, 11,  0, }, 
      {  0,  7,  0,  0,  0,  7,  0,  7,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0,  1,  0,  9,  6,  8,  0,  1,  0,  7,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0, 24,  0,  0, 43,  0,  0, 26,  0,  7,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0,  1,  0, 10,  6, 11,  0,  1,  0,  7,  0, }, 
      {  0,  7,  0,  0,  0,  7,  0,  7,  0,  0,  0,  7,  0, }, 
      {  0,  9,  6, 32,  6,  8,  0,  9,  6,  6,  6,  8,  0, }, 
   },

/*
Level: 6
                                       
                                       
                                       
                                       
                                       
                                       
                                       
 ##################################### 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    @@   V      VVV        V       # 
 #X   @@@ VV      VV        VV *    X# 
 #    @@ VVV      V        VVV       # 
 #                                   # 
 #                                   # 
 #                                   # 
 #        X        X        X        # 
 ##################################### 
                                       
                                       
                                       
                                       
                                       
                                       
                                       
*/
   {
      {  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, }, 
      { 10,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0, 41, 24,  0,  0, 26,  0,  0, 24,  1,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6, 32,  6,  6, 32,  6,  6, 32,  6,  6,  8, }, 
      {  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, }, 
   },

/*
Level: 7
                                       
 ############################          
 #                          #          
 #                          #          
 #                          #          
 #                          #          
 #    @@@   WWW      WWW    #          
 #    @@@   WW     *  WW    ########## 
 #     @    W          W             # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    V     VVV      VVV      VVV    # 
 #    VV  *  VV    * VV     * VV     # 
 #    VVV     V      V        V      # 
 #                                   # 
 #                                   # 
 #                                   # 
 #          W          W             # 
 #######    WW     *  WW       *     # 
       #    WWW      WWW             # 
       #                             # 
       #                             # 
       #                             # 
       #                       X     # 
       ############################### 
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6,  6,  6,  6, 11,  0,  0,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0,  0, }, 
      {  7,  0, 42,  0, 30,  0,  1, 31,  0,  9,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 25,  1, 27,  0,  1, 26,  0,  1, 26,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 11,  0, 29,  0,  1, 28,  0,  0,  1,  0,  7, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  0,  0,  9,  6,  6,  6,  6,  6,  6,  6, 32,  6,  8, }, 
   },

/*
Level: 8
                                       
       #########################       
       #           #           #       
       #           #           #       
 #######     *     #     *     ####### 
 #                 #                 # 
 #                                   # 
 #                                   # 
 #                                   # 
 #            V         V            # 
 #     *     VV         VV     *    X# 
 #          VVV         VVV          # 
 #                                   # 
 ########          #          ######## 
 #                                   # 
 #          VVV         VVV          # 
 #     *     VV         VV     *     # 
 #            V         V            # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                 #     @           # 
 #######     *     #    @@@    ####### 
       #           #    @@@    #       
       #           #           #       
       #########################       
                                       
*/
   {
      {  0,  0, 10,  6,  6,  6, 14,  6,  6,  6, 11,  0,  0, }, 
      { 10,  6,  8,  0,  1,  0,  7,  0,  1,  0,  9,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0, 24,  0,  0,  0, 25,  0,  1,  0, 35, }, 
      { 13,  6,  6,  0,  0,  0,  5,  0,  0,  0,  6,  6, 15, }, 
      {  7,  0,  1,  0, 27,  0,  0,  0, 26,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 11,  0,  1,  0,  7,  0, 40,  0, 10,  6,  8, }, 
      {  0,  0,  9,  6,  6,  6, 12,  6,  6,  6,  8,  0,  0, }, 
   },

/*
Level: 9
                                       
             ######################    
             #                    #    
             #                    #    
             #                    #    
             #                    #    
             #                    #    
    ##########     *        *     #    
    #                             #    
    #                             #    
    #                             #    
    #                             #    
    #             .          W    #    
    #     *       ..        WW    #    
    #             ...      WWW    #    
    #                             #    
    #                             #    
    #                             #    
    #              @              #    
    ##########    @@@    ##########    
             #    @@@    #             
             #           #             
             #           #             
             #           #             
             #     X     #             
             #############             
                                       
*/
   {
      {  0,  0,  0,  0, 10,  6,  6,  6,  6,  6,  6, 11,  0, }, 
      {  0,  0,  0,  0,  7,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0, 10,  6,  6,  8,  0,  1,  0,  0,  1,  0,  7,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0,  1,  0,  0, 17,  0,  0, 28,  0,  7,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  9,  6,  6, 11,  0, 40,  0, 10,  6,  6,  8,  0, }, 
      {  0,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  9,  6, 32,  6,  8,  0,  0,  0,  0, }, 
   },

/*
Level: 10
                                       
       #########################       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #    @@          .      #       
       #    @@@    *    ..     #       
       #    @@          ...    #       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #     *     #     *     #       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #    ...         ;;;    #       
       #     ..    *    ;;     #       
       #      .         ;      #       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #########################       
                                       
*/
   {
      {  0,  0, 10,  6,  6,  6,  6,  6,  6,  6, 11,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0, 41,  0,  1,  0, 17,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  1,  0,  5,  0,  1,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0, 19,  0,  1,  0, 22,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  9,  6,  6,  6,  6,  6,  6,  6,  8,  0,  0, }, 
   },

/*
Level: 11
                                       
 ##################################### 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #      .   @@    ;;;         ...    # 
 #     ..   @@@    ;;         ..     # 
 #    ...   @@      ;         .      # 
 #                                   # 
 #     *           *           *     # 
 #                                   # 
 #      .         ;;;         ...    # 
 #     ..          ;;         ..     # 
 #    ...           ;         .      # 
 #                                   # 
 #     *           *           *     # 
 #                                   # 
 #      .         ;;;         ...    # 
 #     ..          ;;         ..     # 
 #    ...           ;         .      # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 16,  0, 41,  0, 23,  0,  0,  0, 18,  0,  7, }, 
      {  7,  0,  1,  0,  0,  0,  1,  0,  0,  0,  1,  0,  7, }, 
      {  7,  0, 16,  0,  0,  0, 23,  0,  0,  0, 18,  0,  7, }, 
      {  7,  0,  1,  0,  0,  0,  1,  0,  0,  0,  1,  0,  7, }, 
      {  7,  0, 16,  0,  0,  0, 23,  0,  0,  0, 18,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 12
                                       
             ######################### 
             #           #           # 
             #    @@@    #           # 
             #    @@@    #     *     # 
             #     @     #           # 
             #           #           # 
 #############           #           # 
 #     X                 #           # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    V             .         V      # 
 #    VV           ..         VV     # 
 #    VVV         ...         VVV    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #     *     ######################### 
 #           #                         
 #           #                         
 #           #                         
 #           #                         
 #     X     #                         
 #############                         
                                       
*/
   {
      {  0,  0,  0,  0, 10,  6,  6,  6, 14,  6,  6,  6, 11, }, 
      {  0,  0,  0,  0,  7,  0, 42,  0,  7,  0,  1,  0,  7, }, 
      { 10,  6, 34,  6,  8,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 25,  0,  0,  0, 16,  0,  0,  0, 25,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0, 10,  6,  6,  6,  6,  6,  6,  6,  8, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  0, }, 
      {  9,  6, 32,  6,  8,  0,  0,  0,  0,  0,  0,  0,  0, }, 
   },

/*
Level: 13
                                       
             #############             
             #     X     #             
             #           #             
             #           #             
             #           #             
             #    OOO    #             
 #############    OOO    ############# 
 #                OOO                # 
 #                                   # 
 #                                   # 
 #                                   # 
 #          @@      V                # 
 #     *    @@@    VV    *     *     # 
 #          @@    VVV                # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                OOO                # 
 #############    OOO    ############# 
             #    OOO    #             
             #           #             
             #           #             
             #           #             
             #     X     #             
             #############             
                                       
*/
   {
      {  0,  0,  0,  0, 10,  6, 34,  6, 11,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  0, }, 
      { 10,  6,  6,  6,  8,  0,  4,  0,  9,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0, 41,  0, 24,  0,  1,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6, 11,  0,  4,  0, 10,  6,  6,  6,  8, }, 
      {  0,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  9,  6, 32,  6,  8,  0,  0,  0,  0, }, 
   },

/*
Level: 14
                                       
 ################                      
 #              #                      
 #              #                      
 #              #                      
 #              #                      
 #       ...    #                      
 #  *     ..    #                      
 #         .    #                      
 #              #                      
 #              ##########             
 #                       #             
 #       ;        ...    #             
 ####    ;;        ..    #             
    #    ;;;        .    #             
    #                    #             
    #                    ##########    
    #                             #    
    #             ;      @@       #    
    ##########    ;;    @@@ *    X#    
             #    ;;;    @@       #    
             #                    #    
             #                    #    
             #                    #    
             #                    #    
             ######################    
                                       
*/
   {
      { 10,  6,  6,  6,  6, 11,  0,  0,  0,  0,  0,  0,  0, }, 
      {  7,  0,  0,  0,  0,  7,  0,  0,  0,  0,  0,  0,  0, }, 
      {  7,  1,  0, 19,  0,  7,  0,  0,  0,  0,  0,  0,  0, }, 
      {  7,  0,  0,  0,  0,  9,  6,  6, 11,  0,  0,  0,  0, }, 
      {  9, 11,  0, 21,  0,  0, 19,  0,  7,  0,  0,  0,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  9,  6,  6, 11,  0, }, 
      {  0,  9,  6,  6, 11,  0, 21,  0, 43,  1,  0, 35,  0, }, 
      {  0,  0,  0,  0,  7,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  0,  0,  0,  9,  6,  6,  6,  6,  6,  6,  8,  0, }, 
   },

/*
Level: 15
                                       
             ######################### 
             #                 X     # 
             #    WWW         VVV    # 
             #    WW     *     VV    # 
             #    W             V    # 
             #                       # 
 #############                       # 
 #                                   # 
 #                             X     # 
 #                       ############# 
 #                       #             
 #       @@       VVV    #             
 #X    * @@@       VV    #             
 #       @@         V    #             
 #                       #             
 #                       ############# 
 #                             X     # 
 #                                   # 
 #############                       # 
             #                       # 
             #    W           VVV    # 
             #    WW     *     VV    # 
             #    WWW           V    # 
             #                 X     # 
             ######################### 
                                       
*/
   {
      {  0,  0,  0,  0, 10,  6,  6,  6,  6,  6, 34,  6, 11, }, 
      {  0,  0,  0,  0,  7,  0, 30,  0,  1,  0, 27,  0,  7, }, 
      { 10,  6,  6,  6,  8,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0, 10,  6, 32,  6,  8, }, 
      { 33,  0,  1, 41,  0,  0, 27,  0,  7,  0,  0,  0,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  9,  6, 34,  6, 11, }, 
      {  9,  6,  6,  6, 11,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  0,  0,  0,  0,  7,  0, 29,  0,  1,  0, 27,  0,  7, }, 
      {  0,  0,  0,  0,  9,  6,  6,  6,  6,  6, 32,  6,  8, }, 
   },

/*
Level: 16
                                       
 ##################################    
 #                 X              #    
 #                                #    
 #                                #    
 #                                #    
 #    WWW         VVV       @@    #    
 #    WW     *    VV       @@@   X#    
 #    W           V         @@    #    
 #                                #    
 #                                #    
 #                                #    
 #    OOO    #    OOO             #    
 #    OOO    #    OOO    ##########    
 #    OOO    #    OOO    #             
 #           #           #             
 #           #           #             
 #           #           #             
 #           #     X     #             
 #     *     #############             
 #           #                         
 #           #                         
 #           #                         
 #           #                         
 #     X     #                         
 #############                         
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6, 34,  6,  6,  6,  6, 11,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  7,  0, 30,  0,  1,  0, 26,  0,  0, 43,  0, 35,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  7,  0,  4,  0,  7,  0,  4,  0, 10,  6,  6,  8,  0, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  0, }, 
      {  7,  0,  1,  0, 13,  6, 32,  6,  8,  0,  0,  0,  0, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  0, }, 
      {  9,  6, 32,  6,  8,  0,  0,  0,  0,  0,  0,  0,  0, }, 
   },

/*
Level: 17
                                       
       ############################### 
       #     X     #                 # 
       #           #                 # 
       #           #                 # 
       #           #                 # 
       #           #          VVV    # 
       #           #     *     VV    # 
       #           #            V    # 
       #    @@@    #                 # 
 #######    @@@    #                 # 
 #           @     #                 # 
 #          V           OOO     V    # 
 #     *    VV     *    OOO    VV    # 
 #          VVV         OOO   VVV    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #          OOO                      # 
 #######    OOO    ################### 
       #    OOO    #                   
       #           #                   
       #     *     #                   
       #           #                   
       #     X     #                   
       #############                   
                                       
*/
   {
      {  0,  0, 10,  6, 34,  6, 14,  6,  6,  6,  6,  6, 11, }, 
      {  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  0,  0,  7, }, 
      {  0,  0,  7,  0,  0,  0,  7,  0,  1,  0, 27,  0,  7, }, 
      { 10,  6,  8,  0, 42,  0,  7,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0, 25,  0,  1,  0,  4,  0, 24,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 11,  0,  4,  0, 10,  6,  6,  6,  6,  6,  8, }, 
      {  0,  0,  7,  0,  1,  0,  7,  0,  0,  0,  0,  0,  0, }, 
      {  0,  0,  9,  6, 32,  6,  8,  0,  0,  0,  0,  0,  0, }, 
   },

/*
Level: 18
                                       
       ############################### 
       #              X              # 
       #                             # 
       #                             # 
       #                             # 
       #    WWW               WWW    # 
 #######    WW        *        WW    # 
 #          W                   W    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    @@    VVV               VVV    # 
 #X   @@@    VV       *        VV   X# 
 #    @@      V                 V    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                    X              # 
 #######           #######           # 
       #           #     #           # 
       #           #     #           # 
       #     *     #     #     *     # 
       #           #     #           # 
       #           #     #     X     # 
       #############     ############# 
                                       
*/
   {
      {  0,  0, 10,  6,  6,  6,  6, 34,  6,  6,  6,  6, 11, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 10,  6,  8,  0, 30,  0,  0,  1,  0,  0, 31,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0, 41,  0, 27,  0,  0,  1,  0,  0, 27,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 11,  0,  0,  0, 10, 32, 11,  0,  0,  0,  7, }, 
      {  0,  0,  7,  0,  1,  0,  7,  0,  7,  0,  1,  0,  7, }, 
      {  0,  0,  9,  6,  6,  6,  8,  0,  9,  6, 32,  6,  8, }, 
   },

/*
Level: 19
                                       
             #############             
             #     X     #             
             #           #             
 #############           ############# 
 #           #           #     X     # 
 #           #    OOO    #           # 
 #           #    OOO    #           # 
 #           #    OOO    #           # 
 #           #           #           # 
 #     *     #           #     *     # 
 #           #           #           # 
 #           #           #           # 
 #           #     *     #           # 
 #           #           #           # 
 #    ...         VVV         ...    # 
 #     ..    *    VV     *    ..     # 
 #      .         V           .      # 
 #                                   # 
 #############     *     ############# 
             #           #             
             #     @     #             
             #    @@@    #             
             #    @@@    #             
             #     X     #             
             #############             
                                       
*/
   {
      {  0,  0,  0,  0, 10,  6, 34,  6, 11,  0,  0,  0,  0, }, 
      { 10,  6,  6,  6, 15,  0,  0,  0, 13,  6, 34,  6, 11, }, 
      {  7,  0,  0,  0,  7,  0,  4,  0,  7,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0,  7,  0,  0,  0,  7,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  7,  0,  1,  0,  7,  0,  0,  0,  7, }, 
      {  7,  0, 19,  0,  1,  0, 26,  0,  1,  0, 18,  0,  7, }, 
      {  9,  6,  6,  6, 11,  0,  1,  0, 10,  6,  6,  6,  8, }, 
      {  0,  0,  0,  0,  7,  0, 40,  0,  7,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  9,  6, 32,  6,  8,  0,  0,  0,  0, }, 
   },

/*
Level: 20
                                       
 ##################################### 
 #     X           X                 # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                  V         WWW    # 
 #X    *           VV       *  WW   X# 
 #                VVV           W    # 
 #    @@@                            # 
 #    @@@######         ######       # 
 #     @                             # 
 #    W     ...         ;;;     W    # 
 #    WW    ..     *     ;;    WW    # 
 #    WWW   .             ;   WWW    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #######     *     *     *     ####### 
       #                       #       
       #    OOO   OOO   OOO    #       
       #    OOO   OOO   OOO    #       
       #    OOO   OOO   OOO    #       
       #     X     X     X     #       
       #########################       
                                       
*/
   {
      { 10,  6, 34,  6,  6,  6, 34,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0,  1,  0,  0,  0, 24,  0,  0,  1, 31,  0, 35, }, 
      {  7,  0, 42,  6,  6,  0,  0,  0,  6,  6,  0,  0,  7, }, 
      {  7,  0, 29,  0, 18,  0,  1,  0, 23,  0, 28,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 11,  0,  1,  0,  1,  0,  1,  0, 10,  6,  8, }, 
      {  0,  0,  7,  0,  4,  0,  4,  0,  4,  0,  7,  0,  0, }, 
      {  0,  0,  9,  6, 32,  6, 32,  6, 32,  6,  8,  0,  0, }, 
   },

/*
Level: 21
                                       
 #############           ############# 
 #           #           #     X     # 
 #           #           #           # 
 #           #           #           # 
 #           #           #           # 
 #           #           #           # 
 #     *     #############     *     # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    VVV         OOO         VVV    # 
 #X   VV     *    OOO    *     VV   X# 
 #    V           OOO           V    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                             @     # 
 #           #############    @@@    # 
 #           #           #    @@@    # 
 #           #           #           # 
 #     *     #           #           # 
 #           #           #           # 
 #           #           #     X     # 
 #############           ############# 
                                       
*/
   {
      { 10,  6,  6,  6, 11,  0,  0,  0, 10,  6, 34,  6, 11, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0,  9,  6,  6,  6,  8,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0, 26,  0,  1,  0,  4,  0,  1,  0, 27,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  0,  0, 10,  6,  6,  6, 11,  0, 40,  0,  7, }, 
      {  7,  0,  1,  0,  7,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6,  8,  0,  0,  0,  9,  6, 32,  6,  8, }, 
   },

/*
Level: 22
                                       
 ############################          
 #                          #          
 #                          #          
 #                          #          
 #                          #          
 #    OOO         ...       #          
 #X   OOO    *     ..    * X#          
 #    OOO           .       #          
 #                          #          
 #                          #          
 #                          #          
 #                          #          
 ##########                 ########## 
          #                          # 
          #                          # 
          #                          # 
          #                          # 
          # @@      V         OOO    # 
          #X@@@    VV    *    OOO   X# 
          # @@    VVV         OOO    # 
          #                          # 
          #                          # 
          #                          # 
          #        X                 # 
          ############################ 
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6,  6,  6,  6, 11,  0,  0,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0,  0, }, 
      { 33,  0,  4,  0,  1,  0, 19,  0,  1, 35,  0,  0,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0,  0, }, 
      {  9,  6,  6, 11,  0,  0,  0,  0,  0,  9,  6,  6, 11, }, 
      {  0,  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  0,  0,  0, 33, 41,  0, 24,  0,  1,  0,  4,  0, 35, }, 
      {  0,  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  0,  0,  0,  9,  6,  6, 32,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 23
                                       
       ############################### 
       #     X     #     X           # 
       #           #                 # 
       #           #                 # 
       #           #                 # 
       #           #          ZZZ    # 
 #######     *     #     *    ZZZ    # 
 #                 #          ZZZ    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    ZZZ     V         VVV    @@    # 
 #    ZZZ    VV         VV    @@@    # 
 #    ZZZ   VVV         V      @@    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                 #                 # 
 #######     *     #     *     ####### 
       #           #           #       
       #           #           #       
       #           #           #       
       #           #           #       
       #           #           #       
       #########################       
                                       
*/
   {
      {  0,  0, 10,  6, 34,  6, 14,  6, 34,  6,  6,  6, 11, }, 
      {  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  0,  0,  7, }, 
      { 10,  6,  8,  0,  1,  0,  7,  0,  1,  0,  2,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  2,  0, 24,  0,  0,  0, 26,  0, 43,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 11,  0,  1,  0,  7,  0,  1,  0, 10,  6,  8, }, 
      {  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  9,  6,  6,  6, 12,  6,  6,  6,  8,  0,  0, }, 
   },

/*
Level: 24
                                       
                   #############       
                   #     X     #       
                   #           #       
                   #     *     #       
                   #           #       
                   #    @@@    #       
       #############    @@@    ####### 
       #           #     @           # 
       #           #    W     .      # 
       #           #    WW    ..     # 
       #           #    WWW   ...    # 
       #    ZZZ    #                 # 
       #    ZZZ    #                 # 
       #    ZZZ    #                 # 
       #           #                 # 
 #######           ##########        # 
 #                          #        # 
 #                          # ZZZ    # 
 #                          # ZZZ    # 
 #                          # ZZZ    # 
 #          ;;;             #        # 
 #  *        ;;       *     #        # 
 #            ;             #        # 
 #                          #        # 
 ##################################### 
                                       
*/
   {
      {  0,  0,  0,  0,  0,  0, 10,  6, 34,  6, 11,  0,  0, }, 
      {  0,  0,  0,  0,  0,  0,  7,  0,  1,  0,  7,  0,  0, }, 
      {  0,  0, 10,  6,  6,  6, 15,  0, 42,  0,  9,  6, 11, }, 
      {  0,  0,  7,  0,  0,  0,  7,  0, 29,  0, 17,  0,  7, }, 
      {  0,  0,  7,  0,  2,  0,  7,  0,  0,  0,  0,  0,  7, }, 
      { 10,  6,  8,  0,  0,  0,  9,  6,  6, 11,  0,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  7,  2,  0,  7, }, 
      {  7,  1,  0,  0, 23,  0,  0,  1,  0,  7,  0,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6,  6,  6,  6, 12,  6,  6,  8, }, 
   },

/*
Level: 25
                                       
    ################################## 
    #     X                 X     X  # 
    #                                # 
    #                                # 
    #                                # 
    #    ;;;                     ... # 
    #X   ;;     *     *     *     .. # 
    #    ;                         . # 
    #          ;;;         ...       # 
 ####X    *    ;;     *     ..    * X# 
 #  #          ;             .       # 
 #                   @@      ;       # 
 #X *     *     *    @@@    ;;    * X# 
 #                   @@    ;;;       # 
 #             .                   ; # 
 ####     *    ..     *     *     ;;X# 
    #          ...               ;;; # 
    #    .                       OOO # 
    #X   ..     *     *     *    OOOX# 
    #    ...                     OOO # 
    #                                # 
    #                                # 
    #                                # 
    #     X     X           X     X  # 
    ################################## 
                                       
*/
   {
      {  0, 10,  6, 34,  6,  6,  6,  6,  6, 34,  6, 34, 11, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  0, 33,  0, 22,  0,  1,  0,  1,  0,  1,  0, 19,  7, }, 
      { 10, 37,  0,  1,  0, 22,  0,  1,  0, 19,  0,  1, 35, }, 
      { 33,  1,  0,  1,  0,  1,  0, 41,  0, 20,  0,  1, 35, }, 
      {  9, 11,  0,  1,  0, 17,  0,  1,  0,  1,  0, 20, 35, }, 
      {  0, 33,  0, 17,  0,  1,  0,  1,  0,  1,  0,  4, 35, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  0,  9,  6, 32,  6, 32,  6,  6,  6, 32,  6, 32,  8, }, 
   },

/*
Level: 26
                                       
             #############             
             #           #             
             #           #             
             #           #             
             #           #             
             #    ZZZ    #             
    ##########    ZZZ    ##########    
    #             ZZZ             #    
    #                             #    
    #                             #    
    #                             #    
    #    @@       VVV             #    
    #X   @@@       VV       *    X#    
    #    @@         V             #    
    #                             #    
    #                             #    
    #                             #    
    #             ZZZ             #    
    ##########    ZZZ    ##########    
             #    ZZZ    #             
             #           #             
             #           #             
             #           #             
             #           #             
             #############             
                                       
*/
   {
      {  0,  0,  0,  0, 10,  6,  6,  6, 11,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  0, }, 
      {  0, 10,  6,  6,  8,  0,  2,  0,  9,  6,  6, 11,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0, 33,  0, 41,  0,  0, 27,  0,  0,  1,  0, 35,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  9,  6,  6, 11,  0,  2,  0, 10,  6,  6,  8,  0, }, 
      {  0,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  9,  6,  6,  6,  8,  0,  0,  0,  0, }, 
   },

/*
Level: 27
                                       
 ##################################### 
 #                 X                 # 
 #    ZZZ         VVV    @@   ZZZ    # 
 #    ZZZ    *    VV    @@@   ZZZ    # 
 #    ZZZ         V      @@   ZZZ    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #############          ############## 
 #     X     #                       # 
 #           #    V           OOO    # 
 #     *     #X   VV     *    OOO   X# 
 #           #    VVV         OOO    # 
 #           #                       # 
 #           #                       # 
 #           #                       # 
 #    W             W                # 
 #    WW     *     WW    ############# 
 #    WWW         WWW    #             
 #                       #             
 #                       #             
 #                       #             
 #                       #             
 #########################             
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6, 34,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  2,  0,  1,  0, 26,  0, 43,  0,  2,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 13,  6, 34,  6, 11,  0,  0,  0,  6,  6,  6,  6, 15, }, 
      {  7,  0,  1,  0, 33,  0, 25,  0,  1,  0,  4,  0, 35, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 29,  0,  1,  0, 28,  0, 10,  6,  6,  6,  8, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0,  0,  0, }, 
      {  9,  6,  6,  6,  6,  6,  6,  6,  8,  0,  0,  0,  0, }, 
   },

/*
Level: 28
                                       
 ##################################### 
 #           #           #     X     # 
 #           #           #           # 
 #           #           #           # 
 #           #           #           # 
 #           #    ZZZ    #    @@@    # 
 #     *     #    ZZZ    #    @@@    # 
 #           #    ZZZ    #     @     # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    ;           V           ...    # 
 #    ;;          VV           ..   X# 
 #    ;;;         VVV           .    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #           #    ZZZ    #    OOO    # 
 #     *     #    ZZZ    #    OOO    # 
 #           #    ZZZ    #    OOO    # 
 #           #           #           # 
 #           #           #           # 
 #           #           #           # 
 #     X     #           #     X     # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6, 14,  6,  6,  6, 14,  6, 34,  6, 11, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0,  7,  0,  2,  0,  7,  0, 42,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 21,  0,  0,  0, 25,  0,  0,  0, 19,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0,  7,  0,  2,  0,  7,  0,  4,  0,  7, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      {  9,  6, 32,  6, 12,  6,  6,  6, 12,  6, 32,  6,  8, }, 
   },

/*
Level: 29
                                       
 ##################################### 
 #                 X                 # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    YYY         VVV    @@   ZZZ    # 
 #    YYY    *    VV    @@@   ZZZ    # 
 #    YYY         V      @@   ZZZ    # 
 #                                   # 
 ##############    *    ############## 
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #    ZZZ     V   YYY    #       
       #    ZZZ    VV   YYY    #       
       #    ZZZ   VVV   YYY    #       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #######     *     #######       
             #           #             
             #     X     #             
             #############             
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6, 34,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  3,  0,  1,  0, 26,  0, 43,  0,  2,  0,  7, }, 
      {  9,  6, 14,  6,  6,  0,  1,  0,  6,  6, 14,  6,  8, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  2,  0, 24,  0,  3,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  9,  6, 11,  0,  1,  0, 10,  6,  8,  0,  0, }, 
      {  0,  0,  0,  0,  9,  6, 32,  6,  8,  0,  0,  0,  0, }, 
   },

/*
Level: 30
                                       
       #########################       
       #     X     #     X     #       
       #           #           #       
       #           #           #       
       #           #           #       
       #    @@@    #    ZZZ    #       
 #######    @@@    #    ZZZ    ####### 
 #           @     #    ZZZ          # 
 #                                   # 
 #                                   # 
 #                                   # 
 #          V           VVV          # 
 #X    *    VV           VV    *     # 
 #          VVV           V          # 
 #                                   # 
 #                                   # 
 #                                   # 
 #          ZZZ    #                 # 
 #######    ZZZ    #     *     ####### 
       #    ZZZ    #           #       
       #           #           #       
       #           #           #       
       #           #           #       
       #           #           #       
       #########################       
                                       
*/
   {
      {  0,  0, 10,  6, 34,  6, 14,  6, 34,  6, 11,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0, }, 
      { 10,  6,  8,  0, 42,  0,  7,  0,  2,  0,  9,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0,  1,  0, 25,  0,  0,  0, 27,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 11,  0,  2,  0,  7,  0,  1,  0, 10,  6,  8, }, 
      {  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  9,  6,  6,  6, 12,  6,  6,  6,  8,  0,  0, }, 
   },

/*
Level: 31
                                       
 ##################################### 
 #                 X                 # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                V           WWW    # 
 #     *          VV           WW    # 
 #                VVV           W    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 ##############          #           # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    @@                        W    # 
 #    @@@                      WW    # 
 #    @@                      WWW    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                 X                 # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6, 34,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0,  0,  0, 25,  0,  0,  0, 31,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 13,  6,  6,  6,  6,  0,  0,  0,  5,  0,  0,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 41,  0,  0,  0,  0,  0,  0,  0, 28,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6, 32,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 32
                                       
 ##################################### 
 #           X           X           # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    @@    ;;;           V          # 
 #    @@@   ;;           VV    *    X# 
 #    @@    ;           VVV          # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 ########          #          ######## 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #            .               OOO    # 
 #     *     ..          *    OOO   X# 
 #          ...               OOO    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #           X           X           # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6, 34,  6,  6,  6, 34,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 41,  0, 22,  0,  0,  0, 24,  0,  1,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 13,  6,  6,  0,  0,  0,  5,  0,  0,  0,  6,  6, 15, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0, 16,  0,  0,  0,  1,  0,  4,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6, 32,  6,  6,  6, 32,  6,  6,  6,  8, }, 
   },

/*
Level: 33
                                       
       #########################       
       #                 X     #       
       #                       #       
       #                       #       
       #                       #       
       #    WWW    @@          #       
       #    WW    @@@    *     #       
       #    W      @@          #       
       #                       #       
       #                       #       
       #                       #       
       #    W           VVV    #       
       #    WW           VV   X#       
       #    WWW           V    #       
       #                       #       
       #                       #       
       #                       #       
       #                       #       
       #############     *     #       
                   #           #       
                   #           #       
                   #           #       
                   #           #       
                   #     X     #       
                   #############       
                                       
*/
   {
      {  0,  0, 10,  6,  6,  6,  6,  6, 34,  6, 11,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0, 30,  0, 43,  0,  1,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0, 29,  0,  0,  0, 27,  0, 35,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  9,  6,  6,  6, 11,  0,  1,  0,  7,  0,  0, }, 
      {  0,  0,  0,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  0,  0,  0,  0,  9,  6, 32,  6,  8,  0,  0, }, 
   },

/*
Level: 34
                                       
 ##################################### 
 #                 X                 # 
 #                                   # 
 #                                   # 
 #                                   # 
 #          WWW   @@@   WWW          # 
 #X    *     WW   @@@   WW     *     # 
 #            W    @    W            # 
 #                                   # 
 #                                   # 
 #                                   # 
 #            V         V            # 
 #######     VV    *    VV     ####### 
       #    VVV         VVV    #       
       #                       #       
       #                       #       
       #                       #       
       #    W     VVV     W    #       
       #    WW     VV    WW    #       
       #    WWW     V   WWW    #       
       #                       #       
       #                       #       
       #                       #       
       #           X           #       
       #########################       
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6, 34,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0,  1,  0, 31,  0, 42,  0, 30,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 11,  0, 24,  0,  1,  0, 25,  0, 10,  6,  8, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0, 29,  0, 27,  0, 28,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  9,  6,  6,  6, 32,  6,  6,  6,  8,  0,  0, }, 
   },

/*
Level: 35
                                       
       #########################       
       #     X     #     X     #       
       #           #           #       
       #           #           #       
       #           #           #       
       #    OOO    #    OOO    #       
       #    OOO    #    OOO    #       
       #    OOO    #    OOO    #       
       #    @@@    #           #       
 #######    @@@    #     *     ####### 
 #           @     #                 # 
 #                 #                 # 
 #                 #                 # 
 #                 #                 # 
 #          ;      #      ;          # 
 #     *    ;;     #     ;;    *     # 
 #          ;;;    #    ;;;          # 
 #                 #                 # 
 #                 #                X# 
 #                 #                 # 
 #    YYY   .      #      .   YYY    # 
 #    YYY   ..     #     ..   YYY    # 
 #    YYY   ...    #    ...   YYY    # 
 #                 #                 # 
 ##################################### 
                                       
*/
   {
      {  0,  0, 10,  6, 34,  6, 14,  6, 34,  6, 11,  0,  0, }, 
      {  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0, }, 
      {  0,  0,  7,  0,  4,  0,  7,  0,  4,  0,  7,  0,  0, }, 
      { 10,  6,  8,  0, 42,  0,  7,  0,  1,  0,  9,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  7,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0, 21,  0,  7,  0, 20,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  7,  0,  0,  0,  0,  0, 35, }, 
      {  7,  0,  3,  0, 17,  0,  7,  0, 16,  0,  3,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6, 12,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 36
                                       
       ############################### 
       #                             # 
       #      ;               .      # 
       #     ;;    *     *    ..     # 
       #    ;;;               ...    # 
       #                             # 
       #                             # 
       #                             # 
       #    YYY               ZZZ    # 
       #    YYY    #######    ZZZ    # 
       #    YYY    #     #    ZZZ    # 
       #    ZZZ    #     #    YYY    # 
       #    ZZZ    #######    YYY    # 
       #    ZZZ    #          YYY    # 
       #           #                 # 
 #######           #                 # 
 #                 #                 # 
 #           @     #          ;;;    # 
 #          @@@    #     *    ;;     # 
 #          @@@    #          ;      # 
 #          ...    #                 # 
 #X    *    ..     #                 # 
 #          .      #                 # 
 #                 #                 # 
 ##################################### 
                                       
*/
   {
      {  0,  0, 10,  6,  6,  6,  6,  6,  6,  6,  6,  6, 11, }, 
      {  0,  0,  7,  0, 20,  0,  1,  0,  1,  0, 17,  0,  7, }, 
      {  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  0,  0,  7,  0,  3,  0, 10,  6, 11,  0,  2,  0,  7, }, 
      {  0,  0,  7,  0,  2,  0, 13,  6,  8,  0,  3,  0,  7, }, 
      { 10,  6,  8,  0,  0,  0,  7,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  0,  0, 40,  0,  7,  0,  1,  0, 22,  0,  7, }, 
      { 33,  0,  1,  0, 18,  0,  7,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6, 12,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 37
                                       
             #############             
             #     X     #             
             #           #             
             #     *     #             
             #           #             
             #           #             
 #############           ############# 
 #     X                             # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    V           ;;;         OOO    # 
 #    VV           ;;    *    OOO   X# 
 #    VVV           ;         OOO    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #           #     @                 # 
 #           #    @@@    ############# 
 #           #    @@@    #             
 #    OOO    #    OOO    #             
 #    OOO    #    OOO    #             
 #    OOO    #    OOO    #             
 #     X     #     X     #             
 #########################             
                                       
*/
   {
      {  0,  0,  0,  0, 10,  6, 34,  6, 11,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  7,  0,  1,  0,  7,  0,  0,  0,  0, }, 
      { 10,  6, 34,  6,  8,  0,  0,  0,  9,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 25,  0,  0,  0, 23,  0,  1,  0,  4,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  0,  0,  7,  0, 40,  0, 10,  6,  6,  6,  8, }, 
      {  7,  0,  4,  0,  7,  0,  4,  0,  7,  0,  0,  0,  0, }, 
      {  9,  6, 32,  6, 12,  6, 32,  6,  8,  0,  0,  0,  0, }, 
   },

/*
Level: 38
                                       
    ###############################    
    #              X              #    
    #                             #    
    #                             #    
    #                             #    
    #    @@       VVV             #    
    #X   @@@       VV       *    X#    
    #    @@         V             #    
    #                             #    
    #                             #    
    #                             #    
    #                             #    
 ##############         ############## 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #       OOO        V      OOO       # 
 #  *    OOO       VV      OOO    *  # 
 #       OOO      VVV      OOO       # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                 X                 # 
 ##################################### 
                                       
*/
   {
      {  0, 10,  6,  6,  6,  6, 34,  6,  6,  6,  6, 11,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0, 33,  0, 41,  0,  0, 27,  0,  0,  1,  0, 35,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      { 10, 12,  6,  6,  6,  0,  0,  0,  6,  6,  6, 12, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  1,  0,  4,  0,  0, 24,  0,  0,  4,  0,  1,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6, 32,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 39
                                       
 ##################################### 
 #              X                    # 
 #    ZZZ      ...            OOO    # 
 #    ZZZ      ..     *     * OOO   X# 
 #    ZZZ      .              OOO    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 ###########         ################# 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    @@         ;   OOO      ZZZ    # 
 #X   @@@       ;;   OOO    * ZZZ    # 
 #    @@       ;;;   OOO      ZZZ    # 
 #                                   # 
 ##########           ################ 
          #           #                
          #           #                
          #     *     #                
          #           #                
          #     X     #                
          #############                
                                       
*/
   {
      { 10,  6,  6,  6,  6, 34,  6,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  2,  0,  0, 18,  0,  1,  0,  1,  4,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 13,  6,  6,  6,  0,  0,  0,  6,  6,  6,  6,  6, 15, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0, 41,  0,  0, 20,  0,  4,  0,  1,  2,  0,  7, }, 
      {  9,  6,  6, 11,  0,  0,  0, 10,  6,  6,  6,  6,  8, }, 
      {  0,  0,  0,  7,  0,  1,  0,  7,  0,  0,  0,  0,  0, }, 
      {  0,  0,  0,  9,  6, 32,  6,  8,  0,  0,  0,  0,  0, }, 
   },

/*
Level: 40
                                       
 ######################     ########## 
 #        #           #     #     X  # 
 # @@@    #           #     #        # 
 # @@@    #     *     #     #     *  # 
 #  @     #           #     #        # 
 #        #           #     #        # 
 #        #           #######        # 
 #        #              X           # 
 #                                   # 
 #                                   # 
 #                                   # 
 # W           VVV        V        W # 
 # WW           VV       VV       WW # 
 # WWW           V      VVV      WWW # 
 #                                   # 
 ###########                  ######## 
 #                                   # 
 # OOO         VVV               OOO # 
 #XOOO    *    VV        *       OOOX# 
 # OOO         V                 OOO # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                       X           # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6, 14,  6,  6,  6, 11,  0, 10,  6, 34, 11, }, 
      {  7, 42,  0,  7,  0,  1,  0,  7,  0,  7,  0,  1,  7, }, 
      {  7,  0,  0,  7,  0,  0,  0,  9, 34,  8,  0,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7, 29,  0,  0,  0, 27,  0,  0, 24,  0,  0, 28,  7, }, 
      { 13,  6,  6,  6,  0,  0,  0,  0,  0,  0,  6,  6, 15, }, 
      { 33,  4,  0,  1,  0, 26,  0,  0,  1,  0,  0,  4, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6,  6,  6, 32,  6,  6,  6,  8, }, 
   },

/*
Level: 41
                                       
             #############             
             #           #             
             #           #             
 #############     *     ############# 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    OOO         VVV         OOO    # 
 #X   OOO    *    VV        * OOO   X# 
 #    OOO         V           OOO    # 
 #                @@@                # 
 #                @@@                # 
 #                 @                 # 
 #    OOO         VVV         OOO    # 
 #X   OOO    *     VV       * OOO   X# 
 #    OOO           V         OOO    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #############     *     ############# 
             #           #             
             #     X     #             
             #############             
                                       
*/
   {
      {  0,  0,  0,  0, 10,  6,  6,  6, 11,  0,  0,  0,  0, }, 
      { 10,  6,  6,  6,  8,  0,  1,  0,  9,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0,  4,  0,  1,  0, 26,  0,  0,  1,  4,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0, 42,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0,  4,  0,  1,  0, 27,  0,  0,  1,  4,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6, 11,  0,  1,  0, 10,  6,  6,  6,  8, }, 
      {  0,  0,  0,  0,  9,  6, 32,  6,  8,  0,  0,  0,  0, }, 
   },

/*
Level: 42
                                       
 ##################################### 
 #           X           X           # 
 #          V             V          # 
 #     *    VV     *     VV    *     # 
 #          VVV         VVV          # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 ########          #     *    ######## 
 #                             X     # 
 #          VVV               VVV    # 
 #X    *    VV     *     *     VV    # 
 #          V                   V    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                 #           X     # 
 #######           #          ######## 
       #           #           #       
       #     @     #    OOO    #       
       #    @@@    #    OOO    #       
       #    @@@    #    OOO    #       
       #     X     #     X     #       
       #########################       
                                       
*/
   {
      { 10,  6,  6,  6, 34,  6,  6,  6, 34,  6,  6,  6, 11, }, 
      {  7,  0,  1,  0, 25,  0,  1,  0, 24,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 13,  6,  6,  0,  0,  0,  5,  0,  1,  0, 34,  6, 15, }, 
      { 33,  0,  1,  0, 26,  0,  1,  0,  1,  0, 27,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 11,  0,  0,  0,  7,  0,  0,  0, 36,  6,  8, }, 
      {  0,  0,  7,  0, 40,  0,  7,  0,  4,  0,  7,  0,  0, }, 
      {  0,  0,  9,  6, 32,  6, 12,  6, 32,  6,  8,  0,  0, }, 
   },

/*
Level: 43
                                       
 ##################################### 
 #                 X                 # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    WWW          @@         OOO    # 
 #    WW     *    @@@    *    OOO   X# 
 #    W            @@         OOO    # 
 #           #                       # 
 #           #           ############# 
 #           #           #           # 
 #    ZZZ    #           #    ZZZ    # 
 #    ZZZ    #     *     #    ZZZ    # 
 #    ZZZ    #           #    ZZZ    # 
 #           #           #           # 
 #############           #           # 
 #                       #           # 
 #                ...         V      # 
 #X    *          ..          VV    X# 
 #                .           VVV    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6, 34,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 30,  0,  1,  0, 43,  0,  1,  0,  4,  0, 35, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0, 10,  6,  6,  6, 15, }, 
      {  7,  0,  2,  0,  7,  0,  1,  0,  7,  0,  2,  0,  7, }, 
      { 13,  6,  6,  6,  8,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      { 33,  0,  1,  0,  0,  0, 18,  0,  0,  0, 25,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 44
                                       
 ##################################    
 #                 X              #    
 #                                #    
 #                                #    
 #                                #    
 #    WWW         VVV             #    
 #    WW           VV       *     #    
 #    W             V             #    
 #           #                    #    
 #           #           ############# 
 #           #           #           # 
 #     @     #    ZZZ    #           # 
 #    @@@    #    ZZZ    #           # 
 #    @@@    #    ZZZ    #           # 
 #           #           #    ZZZ    # 
 #           #           #    ZZZ    # 
 #           #           #    ZZZ    # 
 #           #           #           # 
 #           #############           # 
 #                                   # 
 #                              W    # 
 #X    *           *           WW   X# 
 #                            WWW    # 
 #                                   # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6, 34,  6,  6,  6,  6, 11,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  7,  0, 30,  0,  0,  0, 27,  0,  0,  1,  0,  7,  0, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0, 10,  6,  6, 12, 11, }, 
      {  7,  0, 40,  0,  7,  0,  2,  0,  7,  0,  0,  0,  7, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  2,  0,  7, }, 
      {  7,  0,  0,  0,  9,  6,  6,  6,  8,  0,  0,  0,  7, }, 
      { 33,  0,  1,  0,  0,  0,  1,  0,  0,  0, 28,  0, 35, }, 
      {  9,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 45
                                       
 ##################################### 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    ;;;                     ...    # 
 #    ;;           *           ..    # 
 #    ;                         .    # 
 #                                   # 
 #          ###############          # 
 #                                   # 
 #    VVV   @@                VVV    # 
 #X    VV   @@@    *           VV   X# 
 #      V   @@                  V    # 
 #                                   # 
 #          ###############          # 
 #                                   # 
 #    ;                         .    # 
 #    ;;           *           ..    # 
 #    ;;;                     ...    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 22,  0,  0,  0,  1,  0,  0,  0, 19,  0,  7, }, 
      {  7,  0,  0,  0,  6,  6,  6,  6,  6,  0,  0,  0,  7, }, 
      { 33,  0, 27,  0, 41,  0,  1,  0,  0,  0, 27,  0, 35, }, 
      {  7,  0,  0,  0,  6,  6,  6,  6,  6,  0,  0,  0,  7, }, 
      {  7,  0, 21,  0,  0,  0,  1,  0,  0,  0, 16,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 46
                                       
 ##################################### 
 #           X           X           # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    WWW          @@         WWW    # 
 #    WW          @@@          WW    # 
 #    W            @@           W    # 
 #                                   # 
 #           *           *           # 
 #                                   # 
 #    V           OOO         VVV    # 
 #    VV          OOO         VV     # 
 #    VVV         OOO         V      # 
 #                                   # 
 #           *           *           # 
 #                                   # 
 #    W       W    #    W       W    # 
 #    WW     WW    #    WW     WW    # 
 #    WWW   WWW    #    WWW   WWW    # 
 #                 #                 # 
 #                 #                 # 
 #                 #                 # 
 #                 #                 # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6, 34,  6,  6,  6, 34,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 30,  0,  0,  0, 43,  0,  0,  0, 31,  0,  7, }, 
      {  7,  0,  0,  0,  1,  0,  0,  0,  1,  0,  0,  0,  7, }, 
      {  7,  0, 25,  0,  0,  0,  4,  0,  0,  0, 26,  0,  7, }, 
      {  7,  0,  0,  0,  1,  0,  0,  0,  1,  0,  0,  0,  7, }, 
      {  7,  0, 29,  0, 28,  0,  7,  0, 29,  0, 28,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  7,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6, 12,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 47
                                       
 ##################################### 
 #                 #                 # 
 #   .      ZZZ    #    ZZZ      .   # 
 #  .. *    ZZZ    #    ZZZ    * ..  # 
 # ...      ZZZ    #    ZZZ      ... # 
 #                 #                 # 
 #  *    #####################       # 
 #                 X                 # 
 #                                   # 
 #                                   # 
 #                                   # 
 # ;;;              V            ;;; # 
 #  ;;             VV    *       ;;  # 
 #   ;            VVV            ;   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                @@@                # 
 ##############   @@@   ############## 
 #                 @                 # 
 #       OOO      V        OOO       # 
 #  *    OOO      VV       OOO    * X# 
 #       OOO      VVV      OOO       # 
 #                 X                 # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6, 14,  6,  6,  6,  6,  6, 11, }, 
      {  7, 16,  1,  0,  2,  0,  7,  0,  2,  0,  1, 17,  7, }, 
      {  7,  1,  0,  6,  6,  6, 38,  6,  6,  6,  0,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7, 23,  0,  0,  0,  0, 24,  0,  1,  0,  0, 22,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 13,  6,  6,  6,  6,  0, 42,  0,  6,  6,  6,  6, 15, }, 
      {  7,  1,  0,  4,  0,  0, 25,  0,  0,  4,  0,  1, 35, }, 
      {  9,  6,  6,  6,  6,  6, 32,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 48
                                       
 ##################################### 
 #     X           X           X     # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    ...         VVV         ;;;    # 
 #    ..           VV          ;;    # 
 #    .             V           ;    # 
 #                                   # 
 #           #     *     #           # 
 #                                   # 
 #    @@          OOO         VVV    # 
 #    @@@         OOO          VV    # 
 #    @@          OOO           V    # 
 #                 X                 # 
 #          ###############          # 
 #                                   # 
 #    W                         W    # 
 #    WW        *     *        WW    # 
 #    WWW                     WWW    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 ##################################### 
                                       
*/
   {
      { 10,  6, 34,  6,  6,  6, 34,  6,  6,  6, 34,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 18,  0,  0,  0, 27,  0,  0,  0, 23,  0,  7, }, 
      {  7,  0,  0,  0,  5,  0,  1,  0,  5,  0,  0,  0,  7, }, 
      {  7,  0, 41,  0,  0,  0,  4,  0,  0,  0, 27,  0,  7, }, 
      {  7,  0,  0,  0,  6,  6, 32,  6,  6,  0,  0,  0,  7, }, 
      {  7,  0, 29,  0,  0,  1,  0,  1,  0,  0, 28,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 49
                                       
 #########################             
 #           X           #             
 #    WWW         WWW    #             
 #    WW     *     WW    #             
 #    W             W    #             
 #                       #             
 #                       ############# 
 #                       #     X     # 
 #    W     OOO   V      #           # 
 #    WW    OOO   VV    X#           # 
 #    WWW   OOO   VVV    #           # 
 #                       #    @@@    # 
 #                       #    @@@    # 
 #                       #     @     # 
 #                       #           # 
 ########    *     *     #           # 
 #                       #           # 
 #          ;       V           W    # 
 #X    *    ;;     VV          WW    # 
 #          ;;;   VVV         WWW    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #           X     X                 # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6, 34,  6,  6,  6, 11,  0,  0,  0,  0, }, 
      {  7,  0, 30,  0,  1,  0, 31,  0,  7,  0,  0,  0,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0, 13,  6, 34,  6, 11, }, 
      {  7,  0, 29,  0,  4,  0, 25,  0, 35,  0,  0,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  7,  0, 42,  0,  7, }, 
      { 13,  6,  6,  0,  1,  0,  1,  0,  7,  0,  0,  0,  7, }, 
      { 33,  0,  1,  0, 21,  0, 24,  0,  0,  0, 28,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6, 32,  6, 32,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 50
                                       
       #########################       
       #           X           #       
       #    ZZZ         OOO    #       
       #    ZZZ    *    OOO   X#       
       #    ZZZ         OOO    #       
       #                       #       
 ##############         ############## 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    @@          ...   OOO          # 
 #X   @@@    *    ..    OOO    *    X# 
 #    @@          .     OOO          # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 ##############         ############## 
       #                       #       
       #          VVV   ZZZ    #       
       #     *     VV   ZZZ    #       
       #            V   ZZZ    #       
       #           X           #       
       #########################       
                                       
*/
   {
      {  0,  0, 10,  6,  6,  6, 34,  6,  6,  6, 11,  0,  0, }, 
      {  0,  0,  7,  0,  2,  0,  1,  0,  4,  0, 35,  0,  0, }, 
      { 10,  6, 12,  6,  6,  0,  0,  0,  6,  6, 12,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0, 41,  0,  1,  0, 18,  0,  4,  0,  1,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 14,  6,  6,  0,  0,  0,  6,  6, 14,  6,  8, }, 
      {  0,  0,  7,  0,  1,  0, 27,  0,  2,  0,  7,  0,  0, }, 
      {  0,  0,  9,  6,  6,  6, 32,  6,  6,  6,  8,  0,  0, }, 
   },

/*
Level: 51
                                       
          ###################          
          #                 #          
          #                 #          
 ##########     *     *     ########## 
 #                                   # 
 #             .     ;        WWW    # 
 #X    *       ..    ;;        WW    # 
 #             ...   ;;;        W    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    WWW                            # 
 #    WW                            X# 
 #    W                              # 
 #                                   # 
 #              *     *              # 
 #                                   # 
 #    W              @@         W    # 
 #    WW             @@@       WW    # 
 #    WWW            @@       WWW    # 
 #             OOO   OOO             # 
 ##########    OOO   OOO    ########## 
          #    OOO   OOO    #          
          #     X     X     #          
          ###################          
                                       
*/
   {
      {  0,  0,  0, 10,  6,  6,  6,  6,  6, 11,  0,  0,  0, }, 
      { 10,  6,  6,  8,  0,  1,  0,  1,  0,  9,  6,  6, 11, }, 
      { 33,  0,  1,  0,  0, 17,  0, 21,  0,  0, 31,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 30,  0,  0,  0,  0,  0,  0,  0,  0,  0, 35, }, 
      {  7,  0,  0,  0,  0,  1,  0,  1,  0,  0,  0,  0,  7, }, 
      {  7,  0, 29,  0,  0,  0,  0, 41,  0,  0, 28,  0,  7, }, 
      {  9,  6,  6, 11,  0,  4,  0,  4,  0, 10,  6,  6,  8, }, 
      {  0,  0,  0,  9,  6, 32,  6, 32,  6,  8,  0,  0,  0, }, 
   },

/*
Level: 52
                                       
 ##################################### 
 #              X                    # 
 #    WWW               OOO          # 
 #    WW        *       OOO       * X# 
 #    W                 OOO          # 
 #                                   # 
 #                                   # 
 #                                   # 
 #     @                             # 
 #    @@@            ################# 
 #    @@@                X     #       
 #                             #       
 #                             #       
 #                             #       
 #      V      VVV        V    #       
 #X    VV       VV       VV   X#       
 #    VVV        V      VVV    #       
 #                             #       
 #                       *     #       
 #                             #       
 #    OOO                 W    #       
 #X   OOO       *        WW    #       
 #    OOO               WWW    #       
 #              X              #       
 ###############################       
                                       
*/
   {
      { 10,  6,  6,  6,  6, 34,  6,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0, 30,  0,  0,  1,  0,  0,  4,  0,  0,  1, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 40,  0,  0,  0,  0,  6, 34,  6, 14,  6,  8, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      { 33,  0, 24,  0,  0, 27,  0,  0, 24,  0, 35,  0,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  1,  0,  7,  0,  0, }, 
      { 33,  0,  4,  0,  0,  1,  0,  0, 28,  0,  7,  0,  0, }, 
      {  9,  6,  6,  6,  6, 32,  6,  6,  6,  6,  8,  0,  0, }, 
   },

/*
Level: 53
                                       
    ###############################    
    #              X              #    
    #    WWW      V               #    
    #    WW       VV        *    X#    
    #    W        VVV             #    
    #                             #    
    #                             #    
    #                             #    
    #                             #    
    #     *             ###########    
    #                             #    
    #    W        @@       WWW    #    
    #    WW       @@@       WW    #    
    #    WWW      @@         W    #    
    #                             #    
    ###########             *     #    
    #                             #    
    #                             #    
    #                             #    
    #                             #    
    #             V          W    #    
    #     *       VV        WW    #    
    #             VVV      WWW    #    
    #              X              #    
    ###############################    
                                       
*/
   {
      {  0, 10,  6,  6,  6,  6, 34,  6,  6,  6,  6, 11,  0, }, 
      {  0,  7,  0, 30,  0,  0, 25,  0,  0,  1,  0, 35,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0,  1,  0,  0,  0,  0,  6,  6,  6, 15,  0, }, 
      {  0,  7,  0, 29,  0,  0, 41,  0,  0, 31,  0,  7,  0, }, 
      {  0, 13,  6,  6,  6,  0,  0,  0,  0,  1,  0,  7,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0,  1,  0,  0, 25,  0,  0, 28,  0,  7,  0, }, 
      {  0,  9,  6,  6,  6,  6, 32,  6,  6,  6,  6,  8,  0, }, 
   },

/*
Level: 54
                                       
 ##################################### 
 #           X                       # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    OOO               ;;;   ZZZ    # 
 #X   OOO    *          ;;    ZZZ    # 
 #    OOO               ;     ZZZ    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                 #                 # 
 ########    *     #     *     ####### 
 #                 #           #       
 #                 #     @     #       
 #                 #    @@@    #       
 #                 #    @@@    #       
 #    ZZZ   ...    #           #       
 #    ZZZ   ..     #     *     #       
 #    ZZZ   .      #           #       
 #                 #           #       
 #                 #           #       
 #                 #           #       
 #                 #     X     #       
 ###############################       
                                       
*/
   {
      { 10,  6,  6,  6, 34,  6,  6,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0,  4,  0,  1,  0,  0,  0, 22,  0,  2,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 13,  6,  6,  0,  1,  0,  7,  0,  1,  0, 10,  6,  8, }, 
      {  7,  0,  0,  0,  0,  0,  7,  0, 40,  0,  7,  0,  0, }, 
      {  7,  0,  2,  0, 18,  0,  7,  0,  1,  0,  7,  0,  0, }, 
      {  7,  0,  0,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0, }, 
      {  9,  6,  6,  6,  6,  6, 12,  6, 32,  6,  8,  0,  0, }, 
   },

/*
Level: 55
                                       
 ##################################    
 #     X                          #    
 #                                #    
 #                                #    
 #                                #    
 #    @@@      ZZZ                #    
 #    @@@      ZZZ    *     *    X#    
 #     @       ZZZ                #    
 #                                #    
 #                                #    
 #                                #    
 #    W        VVV         OOO    #    
 #    WW        VV    *    OOO   X#    
 #    WWW        V         OOO    #    
 #                                #    
 #                                #    
 #                                #    
 #             W           ZZZ    #    
 ##########    WW     *    ZZZ    #    
          #    WWW         ZZZ    #    
          #                       #    
          #                       #    
          #                       #    
          #                       #    
          #########################    
                                       
*/
   {
      { 10,  6, 34,  6,  6,  6,  6,  6,  6,  6,  6, 11,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  7,  0, 42,  0,  0,  2,  0,  1,  0,  1,  0, 35,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  7,  0, 29,  0,  0, 27,  0,  1,  0,  4,  0, 35,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  9,  6,  6, 11,  0, 29,  0,  1,  0,  2,  0,  7,  0, }, 
      {  0,  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  0,  0,  9,  6,  6,  6,  6,  6,  6,  6,  8,  0, }, 
   },

/*
Level: 56
                                       
             #############             
             #           #             
             #           #             
 #############           ############# 
 #           #           #     X     # 
 #           #    @@@    #           # 
 #           #    @@@    #           # 
 #           #     @     #           # 
 #    ZZZ    #           #           # 
 #    ZZZ    #           #     *     # 
 #    ZZZ    #           #           # 
 #                ;;;         ...    # 
 #X    *           ;;          ..   X# 
 #                  ;           .    # 
 #           #           #           # 
 #     *     #           #     *     # 
 #           #           #           # 
 #           #    ZZZ    #           # 
 #           #    ZZZ    #           # 
 #           #    ZZZ    #           # 
 #           #           #           # 
 #############           ############# 
             #           #             
             #           #             
             #############             
                                       
*/
   {
      {  0,  0,  0,  0, 10,  6,  6,  6, 11,  0,  0,  0,  0, }, 
      { 10,  6,  6,  6, 15,  0,  0,  0, 13,  6, 34,  6, 11, }, 
      {  7,  0,  0,  0,  7,  0, 42,  0,  7,  0,  0,  0,  7, }, 
      {  7,  0,  2,  0,  7,  0,  0,  0,  7,  0,  1,  0,  7, }, 
      { 33,  0,  1,  0,  0,  0, 23,  0,  0,  0, 19,  0, 35, }, 
      {  7,  0,  1,  0,  7,  0,  0,  0,  7,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  7,  0,  2,  0,  7,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6, 15,  0,  0,  0, 13,  6,  6,  6,  8, }, 
      {  0,  0,  0,  0,  9,  6,  6,  6,  8,  0,  0,  0,  0, }, 
   },

/*
Level: 57
                                       
             #############             
             #     X     #             
             #    OOO    #             
             #    OOO    #             
             #    OOO    #             
             #           #             
 #############     *     ############# 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 # YYY   @@         .      OOO   YYY # 
 # YYY * @@@       ..      OOO * YYY # 
 # YYY   @@       ...      OOO   YYY # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                OOO                # 
 #############    OOO    ############# 
             #    OOO    #             
             #           #             
             #     *     #             
             #           #             
             #     X     #             
             #############             
                                       
*/
   {
      {  0,  0,  0,  0, 10,  6, 34,  6, 11,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  7,  0,  4,  0,  7,  0,  0,  0,  0, }, 
      { 10,  6,  6,  6,  8,  0,  1,  0,  9,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  3,  1, 41,  0,  0, 16,  0,  0,  4,  1,  3,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6, 11,  0,  4,  0, 10,  6,  6,  6,  8, }, 
      {  0,  0,  0,  0,  7,  0,  1,  0,  7,  0,  0,  0,  0, }, 
      {  0,  0,  0,  0,  9,  6, 32,  6,  8,  0,  0,  0,  0, }, 
   },

/*
Level: 58
                                       
 #############           ############# 
 #     X     #           #           # 
 #    @@@    #           #    ZZZ    # 
 #    @@@    #           #    ZZZ    # 
 #     @     #           #    ZZZ    # 
 #           #           #           # 
 #           #############           # 
 #                 X                 # 
 #                              V    # 
 #     *           *           VV    # 
 #                            VVV    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    ...           ;                # 
 #    ..           ;;          *    X# 
 #    .           ;;;                # 
 #           #           #           # 
 #           #           #           # 
 #           #           #           # 
 #    ZZZ    #           #    OOO    # 
 #    ZZZ    #     *     #    OOO    # 
 #    ZZZ    #           #    OOO    # 
 #           #     X     #     X     # 
 ##################################### 
                                       
*/
   {
      { 10,  6, 34,  6, 11,  0,  0,  0, 10,  6,  6,  6, 11, }, 
      {  7,  0, 42,  0,  7,  0,  0,  0,  7,  0,  2,  0,  7, }, 
      {  7,  0,  0,  0,  9,  6, 34,  6,  8,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0,  0,  0,  1,  0,  0,  0, 24,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 18,  0,  0,  0, 20,  0,  0,  0,  1,  0, 35, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      {  7,  0,  2,  0,  7,  0,  1,  0,  7,  0,  4,  0,  7, }, 
      {  9,  6,  6,  6, 12,  6, 32,  6, 12,  6, 32,  6,  8, }, 
   },

/*
Level: 59
                                       
       #########################       
       #                       #       
       #    WWW                #       
       #    WW     *     *    X#       
       #    W                  #       
       #    @@@    #           #       
 #######    @@@    #     *     ####### 
 #           @     #                 # 
 #                 #                 # 
 #                 #                 # 
 #                 #                 # 
 #          ...    #    ;;;      OOO # 
 #X    *     ..    #    ;;     * OOOX# 
 #            .    #    ;        OOO # 
 #                 #                 # 
 #                 #                 # 
 #                 #                 # 
 #                 #                 # 
 #######     *     #     *     ####### 
       #           #           #       
       #    W             W    #       
       #    WW     *     WW    #       
       #    WWW         WWW    #       
       #                       #       
       #########################       
                                       
*/
   {
      {  0,  0, 10,  6,  6,  6,  6,  6,  6,  6, 11,  0,  0, }, 
      {  0,  0,  7,  0, 30,  0,  1,  0,  1,  0, 35,  0,  0, }, 
      { 10,  6,  8,  0, 42,  0,  7,  0,  1,  0,  9,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  7,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0,  1,  0, 19,  0,  7,  0, 22,  0,  1,  4, 35, }, 
      {  7,  0,  0,  0,  0,  0,  7,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 11,  0,  1,  0,  7,  0,  1,  0, 10,  6,  8, }, 
      {  0,  0,  7,  0, 29,  0,  1,  0, 28,  0,  7,  0,  0, }, 
      {  0,  0,  9,  6,  6,  6,  6,  6,  6,  6,  8,  0,  0, }, 
   },

/*
Level: 60
                                       
    ###############################    
    #     X                       #    
    #                             #    
    #                             #    
    #                             #    
    #             ZZZ             #    
    #     *       ZZZ       *     #    
    #             ZZZ             #    
    #                             #    
    #                             #    
    #                             #    
    #    ;          .      VVV    #    
    #    ;;        ..      VV     #    
    #    ;;;      ...      V      #    
    #              @              #    
    #             @@@             #    
    #             @@@             #    
    #             ZZZ        W    #    
    #     *       ZZZ       WW    #    
    #             ZZZ      WWW    #    
    #                             #    
    #                             #    
    #                             #    
    #     X                       #    
    ###############################    
                                       
*/
   {
      {  0, 10,  6, 34,  6,  6,  6,  6,  6,  6,  6, 11,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0,  1,  0,  0,  2,  0,  0,  1,  0,  7,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0, 21,  0,  0, 16,  0,  0, 26,  0,  7,  0, }, 
      {  0,  7,  0,  0,  0,  0, 40,  0,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0,  1,  0,  0,  2,  0,  0, 28,  0,  7,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  9,  6, 32,  6,  6,  6,  6,  6,  6,  6,  8,  0, }, 
   },

/*
Level: 61
                                       
 ##################################    
 #                    #           #    
 #             ZZZ    #    YYY    #    
 #X    *       ZZZ    #    YYY    #    
 #             ZZZ    #    YYY    #    
 #                    #    @@@    #    
 #           ##########    @@@    #    
 #           #              @     #    
 #    YYY    #                    #    
 #    YYY    #                    #    
 #    YYY    #                    #    
 #           #    WWW        V    #    
 #           #    WW        VV   X#    
 #           #    W        VVV    #    
 #           #                    #    
 #############                    #    
 #                                #    
 #    ZZZ         VVV             #    
 #    ZZZ    *    VV        *    X#    
 #    ZZZ         V               #    
 #                                #    
 #                                #    
 #                                #    
 #                 X        X     #    
 ##################################    
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6,  6, 14,  6,  6,  6, 11,  0, }, 
      { 33,  0,  1,  0,  0,  2,  0,  7,  0,  3,  0,  7,  0, }, 
      {  7,  0,  0,  0, 10,  6,  6,  8,  0, 42,  0,  7,  0, }, 
      {  7,  0,  3,  0,  7,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  7,  0,  0,  0,  7,  0, 30,  0,  0, 24,  0, 35,  0, }, 
      { 13,  6,  6,  6,  8,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  7,  0,  2,  0,  1,  0, 26,  0,  0,  1,  0, 35,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  9,  6,  6,  6,  6,  6, 32,  6,  6, 32,  6,  8,  0, }, 
   },

/*
Level: 62
                                       
 ###############################       
 #           X           X     #       
 #                             #       
 #                             #       
 #                             #       
 # WWW       @@   OOO   OOO    #       
 # WW       @@@   OOO   OOO   X####### 
 # W         @@   OOO   OOO    #     # 
 #                                   # 
 #                                   # 
 #                                   # 
 # W          V         VVV      WWW # 
 # WW        VV    *    VV        WW # 
 # WWW      VVV         V          W # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                 #               W # 
 #######     *     #     *        WW # 
       #           #             WWW # 
       #           #                 # 
       #           #                 # 
       #           #                 # 
       #     X     #     X           # 
       ############################### 
                                       
*/
   {
      { 10,  6,  6,  6, 34,  6,  6,  6, 34,  6, 11,  0,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  7, 30,  0,  0, 43,  0,  4,  0,  4,  0, 39,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7, 29,  0,  0, 24,  0,  1,  0, 26,  0,  0, 31,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 11,  0,  1,  0,  7,  0,  1,  0,  0, 28,  7, }, 
      {  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  0,  0,  7, }, 
      {  0,  0,  9,  6, 32,  6, 12,  6, 32,  6,  6,  6,  8, }, 
   },

/*
Level: 63
                                       
    ###############################    
    #              X        X     #    
    #                             #    
    #                             #    
    #                             #    
    #             @@@             #    
    #     *       @@@       *     #    
    #              @              #    
    #                             #    
    #                             #    
    #                             #    
    #    ZZZ               ZZZ    #    
    #    ZZZ               ZZZ    #    
    #    ZZZ               ZZZ    #    
    #                             #    
    #                             #    
    #                             #    
    #    .          V        .    #    
    #X   ..        VV       ..   X#    
    #    ...      VVV      ...    #    
    #                             #    
    #                             #    
    #                             #    
    #                             #    
    ###############################    
                                       
*/
   {
      {  0, 10,  6,  6,  6,  6, 34,  6,  6, 34,  6, 11,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0,  1,  0,  0, 42,  0,  0,  1,  0,  7,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  7,  0,  2,  0,  0,  0,  0,  0,  2,  0,  7,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0, 33,  0, 17,  0,  0, 24,  0,  0, 16,  0, 35,  0, }, 
      {  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0, }, 
      {  0,  9,  6,  6,  6,  6,  6,  6,  6,  6,  6,  8,  0, }, 
   },

/*
Level: 64
                                       
 ##################################### 
 #     X                             # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                ZZZ         WWW    # 
 #           *    ZZZ    *     WW    # 
 #                ZZZ           W    # 
 #                                   # 
 #           #           #     *     # 
 #                                   # 
 #      .         ZZZ         VVV    # 
 #     ..         ZZZ    *     VV    # 
 #    ...         ZZZ           V    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                             @     # 
 #     *     #############    @@@    # 
 #           #           #    @@@    # 
 #           #           #           # 
 #           #           #           # 
 #           #           #           # 
 #     X     #           #     X     # 
 #############           ############# 
                                       
*/
   {
      { 10,  6, 34,  6,  6,  6,  6,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  0,  0,  1,  0,  2,  0,  1,  0, 31,  0,  7, }, 
      {  7,  0,  0,  0,  5,  0,  0,  0,  5,  0,  1,  0,  7, }, 
      {  7,  0, 16,  0,  0,  0,  2,  0,  1,  0, 27,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0, 10,  6,  6,  6, 11,  0, 40,  0,  7, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      {  9,  6, 32,  6,  8,  0,  0,  0,  9,  6, 32,  6,  8, }, 
   },

/*
Level: 65
                                       
 ##################################### 
 #                                   # 
 #    WWW         OOO         WWW    # 
 #    WW     *    OOO    *     WW    # 
 #    W           OOO           W    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #     *    ###############    *     # 
 #                                   # 
 #    V            @@                # 
 #X   VV          @@@               X# 
 #    VVV          @@                # 
 #                                   # 
 #     *    ###############    *     # 
 #              #     #              # 
 #              #     #              # 
 #              #     #              # 
 #              #     #              # 
 #    W         #     #         W    # 
 #    WW     * X#     #  *     WW    # 
 #    WWW       #     #       WWW    # 
 #              #     #              # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0, 30,  0,  1,  0,  4,  0,  1,  0, 31,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0,  6,  6,  6,  6,  6,  0,  1,  0,  7, }, 
      { 33,  0, 25,  0,  0,  0, 43,  0,  0,  0,  0,  0, 35, }, 
      {  7,  0,  1,  0,  6, 14,  6, 14,  6,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  0,  7,  0,  7,  0,  0,  0,  0,  7, }, 
      {  7,  0, 29,  0,  1, 35,  0,  7,  1,  0, 28,  0,  7, }, 
      {  9,  6,  6,  6,  6, 12,  6, 12,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 66
                                       
 ##################################### 
 #                 X                 # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                VVV         WWW    # 
 #     *     *     VV    *     WW    # 
 #                  V           W    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    V            @@         VVV    # 
 #X   VV          @@@         VV    X# 
 #    VVV          @@         V      # 
 #                                   # 
 #                                   # 
 #                                   # 
 #           #    OOO    #           # 
 #     *     #    OOO    #     *     # 
 #           #    OOO    #           # 
 #           #           #           # 
 #           #           #           # 
 #           #           #           # 
 #           #     X     #     X     # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6, 34,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0,  1,  0, 27,  0,  1,  0, 31,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0, 25,  0,  0,  0, 43,  0,  0,  0, 26,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0,  7,  0,  4,  0,  7,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6, 12,  6, 32,  6, 12,  6, 32,  6,  8, }, 
   },

/*
Level: 67
                                       
 ##################################### 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #      .    @@               ZZZ    # 
 #     ..   @@@          *    ZZZ    # 
 #    ...    @@               ZZZ    # 
 #                                   # 
 #     *    ###############          # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    ZZZ         ;;;                # 
 #    ZZZ         ;;     *          X# 
 #    ZZZ         ;                  # 
 #                       #           # 
 #############     *     #     *     # 
             #           #           # 
             #           #    OOO    # 
             #           #    OOO    # 
             #           #    OOO    # 
             #     X     #     X     # 
             ######################### 
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 16,  0, 43,  0,  0,  0,  1,  0,  2,  0,  7, }, 
      {  7,  0,  1,  0,  6,  6,  6,  6,  6,  0,  0,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  2,  0,  0,  0, 22,  0,  1,  0,  0,  0, 35, }, 
      {  9,  6,  6,  6, 11,  0,  1,  0,  7,  0,  1,  0,  7, }, 
      {  0,  0,  0,  0,  7,  0,  0,  0,  7,  0,  4,  0,  7, }, 
      {  0,  0,  0,  0,  9,  6, 32,  6, 12,  6, 32,  6,  8, }, 
   },

/*
Level: 68
                                       
 ##################################### 
 #     X     #     X     #     X     # 
 #           #           #           # 
 #           #           #           # 
 #           #           #           # 
 #    OOO    #           #    OOO    # 
 #    OOO    #     *     #    OOO    # 
 #    OOO    #           #    OOO    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    @@@         VVV                # 
 #X   @@@    *     VV    *          X# 
 #     @            V                # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    W           VVV           W    # 
 #    WW     *     VV    *     WW    # 
 #    WWW           V         WWW    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #                 X                 # 
 ##################################### 
                                       
*/
   {
      { 10,  6, 34,  6, 14,  6, 34,  6, 14,  6, 34,  6, 11, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      {  7,  0,  4,  0,  7,  0,  1,  0,  7,  0,  4,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0, 42,  0,  1,  0, 27,  0,  1,  0,  0,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 29,  0,  1,  0, 27,  0,  1,  0, 28,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6, 32,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 69
                                       
 ###############################       
 #              X        X     #       
 #      .               VVV    #       
 #     ..                VV   X#       
 #    ...                 V    #       
 #                             #       
 #     *        *        *     #       
 #                             #       
 #                             #       
 #                             #       
 #                             #       
 #    ZZZ      ZZZ      @@@    #       
 #    ZZZ      ZZZ      @@@    #       
 #    ZZZ      ZZZ       @     #       
 #                             #       
 #                             #       
 #                             #       
 #                             #       
 #     *        *        *     ####### 
 #                                   # 
 #    V                   V          # 
 #X   VV                 VV    *    X# 
 #    VVV               VVV          # 
 #     X        X        X           # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6,  6, 34,  6,  6, 34,  6, 11,  0,  0, }, 
      {  7,  0, 16,  0,  0,  0,  0,  0, 27,  0, 35,  0,  0, }, 
      {  7,  0,  1,  0,  0,  1,  0,  0,  1,  0,  7,  0,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  7,  0,  2,  0,  0,  2,  0,  0, 42,  0,  7,  0,  0, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0, }, 
      {  7,  0,  1,  0,  0,  1,  0,  0,  1,  0,  9,  6, 11, }, 
      { 33,  0, 25,  0,  0,  0,  0,  0, 24,  0,  1,  0, 35, }, 
      {  9,  6, 32,  6,  6, 32,  6,  6, 32,  6,  6,  6,  8, }, 
   },

/*
Level: 70
                                       
 ######################                
 #              X     #                
 # YYY         OOO    #                
 # YYY         OOO   X#                
 # YYY         OOO    #                
 #                    #                
 #              *     ################ 
 #                                   # 
 #        #                          # 
 #  *     #                          # 
 #        #                          # 
 #        #    ;;;         WWW   ZZZ # 
 #        #X   ;;     *     WW   ZZZ # 
 #        #    ;             W   ZZZ # 
 #  X     #                          # 
 ##########                          # 
 #                                   # 
 #          @@             ...   YYY # 
 #  *       @@@       *     ..   YYY # 
 #          @@               .   YYY # 
 #             ZZZ                   # 
 ##########    ZZZ    ################ 
          #    ZZZ    #                
          #     X     #                
          #############                
                                       
*/
   {
      { 10,  6,  6,  6,  6, 34,  6, 11,  0,  0,  0,  0,  0, }, 
      {  7,  3,  0,  0,  0,  4,  0, 35,  0,  0,  0,  0,  0, }, 
      {  7,  0,  0,  0,  0,  1,  0,  9,  6,  6,  6,  6, 11, }, 
      {  7,  1,  0,  7,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  0, 33,  0, 22,  0,  1,  0, 31,  0,  2,  7, }, 
      { 13, 32,  6,  8,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  1,  0,  0, 41,  0,  0,  1,  0, 19,  0,  3,  7, }, 
      {  9,  6,  6, 11,  0,  2,  0, 10,  6,  6,  6,  6,  8, }, 
      {  0,  0,  0,  9,  6, 32,  6,  8,  0,  0,  0,  0,  0, }, 
   },

/*
Level: 71
                                       
 ##################################### 
 #                       #     X     # 
 # YYY      ;;;      WWW #    OOO    # 
 # YYY      ;;        WW #    OOO    # 
 # YYY      ;          W #    OOO    # 
 #                       #           # 
 #                       #           # 
 #                       #           # 
 #                   ZZZ #           # 
 #                   ZZZ #     *     # 
 #                   ZZZ #           # 
 #                       #           # 
 #                       #           # 
 #                       #           # 
 #          ...        W #    ZZZ    # 
 #  *        ..       WW #    ZZZ    # 
 #            .      WWW #    ZZZ    # 
 #                       #     @     # 
 #########################    @@@    # 
 #                       #    @@@    # 
 #          OOO      YYY #    OOO    # 
 #X *       OOO      YYY #    OOO    # 
 #          OOO      YYY #    OOO    # 
 #                       #     X     # 
 ##################################### 
                                       
*/
   {
      { 10,  6,  6,  6,  6,  6,  6,  6, 14,  6, 34,  6, 11, }, 
      {  7,  3,  0,  0, 22,  0,  0, 31,  7,  0,  4,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  2,  7,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      {  7,  1,  0,  0, 19,  0,  0, 28,  7,  0,  2,  0,  7, }, 
      { 13,  6,  6,  6,  6,  6,  6,  6, 15,  0, 40,  0,  7, }, 
      { 33,  1,  0,  0,  4,  0,  0,  3,  7,  0,  4,  0,  7, }, 
      {  9,  6,  6,  6,  6,  6,  6,  6, 12,  6, 32,  6,  8, }, 
   },

/*
Level: 72
                                       
 ##################################### 
 #     X     #                       # 
 #           #                       # 
 #           #                       # 
 #           #                       # 
 #    @@@    #    WWW         ZZZ    # 
 #    @@@    #    WW     *    ZZZ    # 
 #     @     #    W           ZZZ    # 
 #                       #           # 
 #                       #           # 
 #                       #           # 
 #      V         VVV    #      V    # 
 #X    VV    *    VV     #X    VV   X# 
 #    VVV         V      #    VVV    # 
 #                       #           # 
 #                       #           # 
 #                       #           # 
 #           #    ZZZ           W    # 
 #     *     #    ZZZ    *     WW    # 
 #           #    ZZZ         WWW    # 
 #           #                       # 
 #           #                       # 
 #           #                       # 
 #     X     #                       # 
 ##################################### 
                                       
*/
   {
      { 10,  6, 34,  6, 14,  6,  6,  6,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0, 42,  0,  7,  0, 30,  0,  1,  0,  2,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      { 33,  0, 24,  0,  1,  0, 26,  0, 33,  0, 24,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  7,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0,  7,  0,  2,  0,  1,  0, 28,  0,  7, }, 
      {  7,  0,  0,  0,  7,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6, 32,  6, 12,  6,  6,  6,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 73
                                       
 ###############################       
 #     X           #           #       
 #                 #           #       
 #                 #           #       
 #                 #           #       
 #    OOO   ZZZ    #    YYY    #       
 #    OOO   ZZZ    #    YYY    ####### 
 #    OOO   ZZZ    #    YYY          # 
 #                                   # 
 #                                   # 
 #                                   # 
 #            .           ;          # 
 #X    *     ..    *     ;;    *    X# 
 #          ...         ;;;          # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    ZZZ    @     #    YYY          # 
 #    ZZZ   @@@    #    YYY    ####### 
 #    ZZZ   @@@    #    YYY    #       
 #                 #           #       
 #                 #           #       
 #                 #           #       
 #           X     #           #       
 ###############################       
                                       
*/
   {
      { 10,  6, 34,  6,  6,  6, 14,  6,  6,  6, 11,  0,  0, }, 
      {  7,  0,  0,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0, }, 
      {  7,  0,  4,  0,  2,  0,  7,  0,  3,  0,  9,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0,  1,  0, 16,  0,  1,  0, 20,  0,  1,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  2,  0, 40,  0,  7,  0,  3,  0, 10,  6,  8, }, 
      {  7,  0,  0,  0,  0,  0,  7,  0,  0,  0,  7,  0,  0, }, 
      {  9,  6,  6,  6, 32,  6, 12,  6,  6,  6,  8,  0,  0, }, 
   },

/*
Level: 74
                                       
                #############          
                #     X     #          
                #           #          
                #     *     #          
                #           #          
                #           #          
       ##########           ########## 
       #                       X     # 
       #    WWW      VVV       @@    # 
       #    WW       VV       @@@    # 
       #    W        V         @@    # 
       #                             # 
 #######                       *     # 
 #                                   # 
 #                                   # 
 #           *                       # 
 #                                   # 
 #    OOO            .          .    # 
 #X   OOO            ..        ..    # 
 #    OOO            ...      ...    # 
 #                                   # 
 #                                   # 
 #                                   # 
 #           X        X              # 
 ##################################### 
                                       
*/
   {
      {  0,  0,  0,  0,  0, 10,  6, 34,  6, 11,  0,  0,  0, }, 
      {  0,  0,  0,  0,  0,  7,  0,  1,  0,  7,  0,  0,  0, }, 
      {  0,  0, 10,  6,  6,  8,  0,  0,  0,  9, 34,  6, 11, }, 
      {  0,  0,  7,  0, 30,  0,  0, 26,  0,  0, 43,  0,  7, }, 
      { 10,  6,  8,  0,  0,  0,  0,  0,  0,  0,  1,  0,  7, }, 
      {  7,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      { 33,  0,  4,  0,  0,  0,  0, 17,  0,  0, 16,  0,  7, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  9,  6,  6,  6, 32,  6,  6, 32,  6,  6,  6,  6,  8, }, 
   },

/*
Level: 75
                                       
          #############                
          #     X     #                
          #           #                
          #           #                
          #           #                
          #    OOO    #                
 ##########    OOO    ################ 
 #             OOO                   # 
 #                                   # 
 #                                   # 
 #                                   # 
 #    ZZZ               ;;;          # 
 #    ZZZ                ;;    *    X# 
 #    ZZZ                 ;          # 
 #                                   # 
 #                                   # 
 #                                   # 
 #             @@@                   # 
 #     *       @@@             ####### 
 #              @              #       
 #             .        ZZZ    #       
 #     *       ..       ZZZ    #       
 #             ...      ZZZ    #       
 #     X                       #       
 ###############################       
                                       
*/
   {
      {  0,  0,  0, 10,  6, 34,  6, 11,  0,  0,  0,  0,  0, }, 
      {  0,  0,  0,  7,  0,  0,  0,  7,  0,  0,  0,  0,  0, }, 
      { 10,  6,  6,  8,  0,  4,  0,  9,  6,  6,  6,  6, 11, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  2,  0,  0,  0,  0,  0, 23,  0,  1,  0, 35, }, 
      {  7,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  7, }, 
      {  7,  0,  1,  0,  0, 42,  0,  0,  0,  0, 10,  6,  8, }, 
      {  7,  0,  1,  0,  0, 17,  0,  0,  2,  0,  7,  0,  0, }, 
      {  9,  6, 32,  6,  6,  6,  6,  6,  6,  6,  8,  0,  0, }, 
   },

};
